## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObject::XObjectException Class Reference

`#include <XObject.hpp>`

Inheritance diagram for XObject::XObjectException:

[legend]
Collaboration diagram for XObject::XObjectException:

[legend]
List of all members.

## Public Methods

- XObjectException (const XalanDOMString &message=XalanDOMString(XalanMemMgrs::getDummyMemMgr()), MemoryManagerType &theManager=XalanMemMgrs::getDummyMemMgr())
- XObjectException (const XObjectException &other)
- virtual ~XObjectException ()
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XObject::XObjectException::XObjectException ( | const XalanDOMString & message = XalanDOMString(XalanMemMgrs::getDummyMemMgr()),
| MemoryManagerType & theManager = XalanMemMgrs::getDummyMemMgr() )`[explicit]`

XObject::XObjectException::XObjectException ( | const XObjectException & other )

XObject::XObjectException::~XObjectException ( | )`[virtual]`

## Member Function Documentation

const XalanDOMChar * XObject::XObjectException::getType ( | ) const`[virtual]`

Retrieve type of exception.

Returns:
  type of exception

Reimplemented from XalanXPathException.

Reimplemented in XObject::XObjectInvalidConversionException.

The documentation for this class was generated from the following file:

- XObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.